Subject: Re: vftpd questions.

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Wed, 8 Jan 1997 12:15:53 +1100 (EST)

Doctor,
No. Looks like it execed the ls ok, more like a permissions problem on the
directory.................... check you have execute and read permissions on
the directory and read on the files (of course) who does the ftpserver think
you are?

Regards Geofft

>> 
>> 
>> 	Hello:
>> 
>> 	I am running wu-2.4(11) on BSDI 2.1 with the virtual servers patches
>> installed. The patch installed fine, and I can now run the virtual servers
>> and log into them without a problem. My problem is this:
>> 
>> 	When I ftp to one of the virtual servers, and I do an 'ls' I get nothing.
>> Even though there is info in the directory in questions, and I have
>> permison to read and execute that file. 
>> 	I check permisions on the directory and the files. 
>> 
>> When I do an ls I just get the following:
>> 
>> ftp> ls
>> 200 PORT command successful.
>> 150 Opening ASCII mode data connection for /bin/ls.
>> 226 Transfer complete.
>> ftp>
>> 
>> 	Could it be that it cannot find /bin/ls? Where should this be? I have it
>> in the real ~ftp/bin/ in the real /bin/ directory, the /bin of the virtual
>> server, and in the EXECPATH as specified when I installed the patches
>> (/bin/ftp-exec/).
>> 
>> 	Any one have any idea? 
>> 	Thanks in advance!
>> 
>> 	Dave
>> 
>> 
>> 	
>> 
>> 
>> Dave A. Flanigan, Systems Administrator, NewReach Communications Inc.
>> 
>
>Dave, I was the probably the person who pointed
>out the security problem, (I think it is in my files somewhere)
>since I am on wu-ftpd Mailing List and did forward the notice to BSDI
>via bsdi-support (all right I will use bsdi-security next time).
>
>What I do is to copy the basic ftp directory into a Home user's folder
>and do the set-up similarly.
>
>
>
Geoff Terry
Systems & Network Support
ACR Net
Sapphire Coast NSW 2550
Australia
Ph 064 923677
Mobile 015 668 227
Fax 064 924594